commit:     0cc0fec93437f9b9dcae47a0e8345d685ba6c6a4
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 20 08:15:03 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Thu Aug 20 08:15:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0cc0fec9

net-analyzer/calamaris: Version 2.99.4.5

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Closes: https://bugs.gentoo.org/738088
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/calamaris/Manifest                  |  1 +
 net-analyzer/calamaris/calamaris-2.99.4.5.ebuild | 35 ++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/net-analyzer/calamaris/Manifest b/net-analyzer/calamaris/Manifest
index 6046aff7a26..2ac7f692827 100644
--- a/net-analyzer/calamaris/Manifest
+++ b/net-analyzer/calamaris/Manifest
@@ -1,2 +1,3 @@
 DIST calamaris-2.59.tar.gz 56168 BLAKE2B 
1ab118066c836c2d2e9584594e31db77ed8aa50dd3f74da5f60ea41075abd5873f5d413ebf6e352f5cdf4ecefc86307669c46f88c9048194f31936470040ed82
 SHA512 
8c8ed820a1af6e21cfe9f03397c159b2261c8253b3395a8d6dbd21064151439406496132917d0ef087eed805c7945cf28f2d12dc1e52340991c18e6a27484ade
 DIST calamaris-2.99.4.0.tar.gz 105860 BLAKE2B 
f87b51bab7aac10f9ef0fb50a788a0ad86a3b98171b9d4f1e1f7cc50878ff9f9ad70ed6485e4fa301c713b5551390ee4f2697c37291a540ee3b3feb6960891d4
 SHA512 
4127a3963fd0ea5baa1d5ce9a784f45658bb685f18e576c134fee1b4e8fdad535676974498119018e771924a8a622ed83b8aa095d3909b7bb3d009dd6024dbef
+DIST calamaris-2.99.4.5.tar.gz 116893 BLAKE2B 
9864f135b364dd7d7becd7c30cc28da1f41c4db0fb940f45153d5fd8da04c8df8675a728e19b47f6eb8f602945655817717189349fe047944d0abdacfd0476c9
 SHA512 
d9bc890afd6a349ea448b4f40281b8d4dd5babf2915cdfe6d4a46c066826e54c3a9e988e575fb13a4cf5ae9500d33faa5d24f295504f7b6fbfbec219610b309d

diff --git a/net-analyzer/calamaris/calamaris-2.99.4.5.ebuild 
b/net-analyzer/calamaris/calamaris-2.99.4.5.ebuild
new file mode 100644
index 00000000000..446233781cb
--- /dev/null
+++ b/net-analyzer/calamaris/calamaris-2.99.4.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="parses logfiles of a wide variety of web proxy servers and 
generates reports"
+HOMEPAGE="https://cord.de/calamaris-english";
+SRC_URI="https://cord.de/files/${PN}/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+
+RDEPEND="
+       dev-lang/perl
+       dev-perl/GDGraph
+"
+
+src_prepare() {
+       default
+       sed -i \
+               -e "s:\(use lib\).*$:\1 '/usr/share/';:" \
+               calamaris || die
+}
+
+src_install() {
+       dobin calamaris calamaris-cache-convert
+
+       insinto /usr/share/${PN}
+       doins *.pm
+
+       doman calamaris.1
+
+       dodoc BUGS CHANGES EXAMPLES EXAMPLES.v3 README TODO calamaris.conf
+}

Reply via email to